Bug 22191 - Add column configuration to libraries administration
Summary: Add column configuration to libraries administration
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 19282
  Show dependency treegraph
 
Reported: 2019-01-23 15:00 UTC by Owen Leonard
Modified: 2019-03-07 19:59 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22191: Add column configuration to libraries administration (3.47 KB, patch)
2019-01-23 15:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22191: Add column configuration to libraries administration (3.56 KB, patch)
2019-01-25 19:26 UTC, José-Mario Monteiro-Santos
Details | Diff | Splinter Review
Bug 22191: Add column configuration to libraries administration (3.63 KB, patch)
2019-01-27 12:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-01-23 15:00:31 UTC
I propose to add column configuration to the libraries administration page.
Comment 1 Owen Leonard 2019-01-23 15:36:01 UTC Comment hidden (obsolete)
Comment 2 José-Mario Monteiro-Santos 2019-01-25 19:26:14 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2019-01-27 12:00:13 UTC
Hi Owen,
I was a bit irriated by the actions column getting wider and wider with each column removed, but it appear on other pages like currencies as well. Maybe something to improve on later on.
Comment 4 Katrin Fischer 2019-01-27 12:02:32 UTC
Created attachment 84462 [details] [review]
Bug 22191: Add column configuration to libraries administration

This patch adds column configuration to the table of libraries
in administration. No new defaults for the table are defined.

To test, apply the patch and clear your browser cache if necessary.

 - Go to Administration -> Libraries
   - Test that the "Column visibility" button works to show and hide
     columns. The "actions" column should be excluded.
   - Test that export options (Excel, CSV, etc) exclude the "actions"
     column.
 - Go to Administration -> Columns settings and edit the default
   configuration of the libraries table. Confirm that these
   changes are reflected in libraries administration.

Signed-off-by: Jose-Mario Monteiro-Santos <jose-mario.monteiro-santos@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Nick Clemens 2019-01-31 13:39:20 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-02-01 15:39:30 UTC
Enhancement, will not be backported to 18.11.x series.